summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorbtd13372020-12-22 20:30:27 -0300
committerbtd13372020-12-22 20:30:27 -0300
commit3a160e94f946c38ebf5a1186604f64f18b842b7c (patch)
tree19adf1129622b4af8a4b91fa96600196dd5026af
downloadaur-3a160e94f946c38ebf5a1186604f64f18b842b7c.tar.gz
initial version
-rw-r--r--.SRCINFO24
-rw-r--r--.gitignore1
-rw-r--r--PKGBUILD40
3 files changed, 65 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..9d823ae1493
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,24 @@
+pkgbase = locksmith-git
+ pkgdesc = A simple password generator applet. Designed for Pantheon Shell
+ pkgver = r128.aa677b5
+ pkgrel = 1
+ url = https://github.com/ChristopherNugent/Locksmith
+ arch = i686
+ arch = x86_64
+ license = GPL3
+ makedepends = git
+ makedepends = meson
+ makedepends = vala
+ depends = gtk3
+ depends = granite
+ depends = debhelper
+ depends = libgee
+ optdepends =
+ provides = locksmith
+ provides = locksmith-git
+ conflicts = locksmith
+ source = git+https://github.com/ChristopherNugent/Locksmith.git
+ md5sums = SKIP
+
+pkgname = locksmith-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..b25c15b81fa
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1 @@
+*~
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..1ef3bfcde90
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Helder Bertoldo <helder.bertoldo@gmail.com>
+# Contributor:
+
+_gitname=Locksmith
+_author=ChristopherNugent
+_pkgname=locksmith
+pkgname=("${_pkgname}-git")
+pkgver=r128.aa677b5
+pkgrel=1
+pkgdesc="A simple password generator applet. Designed for Pantheon Shell"
+arch=('i686' 'x86_64')
+url="https://github.com/${_author}/${_gitname}"
+license=('GPL3')
+depends=('gtk3' 'granite' 'debhelper' 'libgee')
+optdepends=('')
+makedepends=('git' 'meson' 'vala')
+provides=("${_pkgname}" "${pkgname}")
+conflicts=("${_pkgname}")
+source=("git+${url}.git")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "${_gitname}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "${_gitname}/"
+ meson . _build --prefix=/usr
+ ninja -C _build
+}
+
+package() {
+ cd "${_gitname}/"
+ DESTDIR="${pkgdir}" ninja -C _build install
+}
+